/**
* @file uLCD_gauges.h
* @brief This header file lists the functions needed to control gauge display on the uLCD 
*
* @author Matthew Arceri and Harsha Nori
*
* @date 3/13/2015
*/
#ifndef ULCD_GAUGES_H
#define ULCD_GAUGES_H
 
#include "uLCD_4DGL.h"
#include "mbed.h"
 
class uLCD_gauges {
public:
    uLCD_gauges(uLCD_4DGL& screen, float min, float max);
    uLCD_gauges(uLCD_4DGL& screen, float min, float max, int lowF, int highF, long memoryAddressHigh, long memoryAddressLow);
    void start();
    void update(float value);
  
private:  
    uLCD_4DGL *uLCD;
    float minVal;
    float maxVal;
    float mapOffset;
    float mapSlope;
    float highFrame;
    long memHigh;
    long memLow;
};
 
#endif
